import time

import allure
import pytest

from page.loginPage import LoginPage
from page.searchPage import SearchPage

@allure.epic("读书屋项目")
class TestSearch:
    @allure.feature("搜索功能")
    @allure.story("这是搜索功能噢")
    @allure.title("登陆-搜索书籍用例")
    def test_search(self,driver):
        l=LoginPage(driver)
        l.login("15574113907","123456")
        time.sleep(3)
        s=SearchPage(driver)
        sjmsg=s.search_book("云上夕轮")
        assert "云上夕轮" in sjmsg

        # 搜索用例  1  不理解2

        #  断言也不是固定这么写
    # 循环 在别的文件封装成一个方法 调用方法和你的预期结果对比
    # pom框架的时候 很灵活 按照思维不一样 pom框架

    # def test_search(self, driver):
    #     s = SearchPage(driver)
    #     sjmsg = s.search_book("云上夕轮","http://120.25.127.201:18001/")
    #     assert "云上夕轮"  in sjmsg

if __name__ == '__main__':
    pytest.main([__file__,'-sv'])

